## audacious 3.3.4

=== debian/changelog ===
audacious (3.3.4-1) experimental; urgency=low

  * New upstream release.
  * Fix Vcs-* tags.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 05 Feb 2013 08:29:49 +0000

audacious (3.3.3-2) experimental; urgency=low

  * Move <libaudcore/audio.h> into the Multi-Arch domain. (Closes: #674492)

 -- Alessio Treglia <alessio@debian.org>  Thu, 20 Dec 2012 20:53:12 +0000

audacious (3.3.3-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Mon, 17 Dec 2012 20:38:10 +0000

audacious (3.3.2-1) experimental; urgency=low

  * New upstream release.
  * Add myself to the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Mon, 10 Dec 2012 10:27:23 +0000

audacious (3.3.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Refresh debian/libaudcore1.symbols.
  * Remove debian/patches/*, all patches do not apply anymore.
  * Remove README from debian/audacious.docs, upstream doesn't
    provide it anymore.

 -- Alessio Treglia <alessio@debian.org>  Thu, 06 Sep 2012 17:35:38 +0200

=== debian/control ===
Source: audacious
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Chris Taylor <ctaylor@debian.org>,
 Bilal Akhtar <bilalakhtar@ubuntu.com>,
 Cyril Lavier <cyril.lavier@davromaniak.eu>
Homepage: http://www.audacious-media-player.org/
Build-Depends:
 autotools-dev (>= 20100122.1~),
 debhelper (>= 9),
 imagemagick,
 libdbus-1-dev (>= 0.60),
 libdbus-glib-1-dev (>= 0.60),
 libgtk-3-dev,
 libguess-dev,
 libmcs-dev (>= 0.7),
 librsvg2-bin,
 libuchardet-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/audacious.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/audacious.git

Package: audacious
Architecture: any
Depends:
 audacious-plugins (>= 3.2),
 dbus,
 dbus-x11,
 gtk2-engines-pixbuf,
 libaudclient2 (= ${binary:Version}),
 libaudcore1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 libaudutil1,
 libsad2
Recommends:
 unzip
Description: small and fast audio player which supports lots of formats
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains the core player and its localization.

Package: audacious-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends:
 audacious (= ${binary:Version}),
 ${misc:Depends}
Provides:
 libaudclient2-dbg,
 libaudcore1-dbg
Recommends:
 audacious-plugins-dbg
Priority: extra
Description: audacious media player (debugging symbols)
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains the debugging symbols. Please install it before
 reporting crashes, as this makes the backtrace output more usable.

Package: audacious-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libaudclient2 (= ${binary:Version}),
 libaudcore1 (= ${binary:Version}),
 libdbus-1-dev (>= 0.60),
 libdbus-glib-1-dev (>= 0.60),
 libgtk-3-dev,
 libmcs-dev (>= 0.7),
 ${misc:Depends}
Provides:
 libaudclient-dev,
 libaudcore-dev,
 libaudid3tag-dev
Description: audacious development files
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains the development libraries and header files
 required for developing components for audacious.
 .
 Please note that this package no longer contains libaudacious, as
 libaudacious was dropped in Audacious 1.4. You should use libaudclient
 instead.

Package: libaudclient2
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: audacious dbus remote control library
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains a library used to remote control audacious.

Package: libaudcore1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: audacious core engine library
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains a library which provides core functionality
 of Audacious.

## audacious 3.4

=== po/Makefile ===
# Short KISS instructions:
#
# - To add new languages: Add *.po target to LOCALES Make variable below
# - Update and merge .po-files: make update-po
# - Only update the template .pot-file only: make update-pot
# - Run update-potfiles.sh when any new sourcefiles with translatable strings
#   have been introduced, and then continue with 'make update-po' or
#   'make update-pot' respectively.
#
LOCALES = ast.po \
	  be.po \
	  bg.po \
	  ca.po \
	  cs.po \
	  de.po \
	  el.po \
	  eo.po \
	  es_AR.po \
	  es_MX.po \
	  es.po \
	  et.po \
	  eu.po \
	  fa_IR.po \
	  fi.po \
	  fr.po \
	  gl.po \
	  hu.po \
	  id_ID.po \
	  it.po \
	  ja.po \
	  ko.po \
	  ky.po \
	  lt.po \
	  lv.po \
	  ms.po \
	  nl.po \
	  pl.po \
	  pt_BR.po \
	  pt_PT.po \
	  ro.po \
	  ru.po \
	  si.po \
	  sk.po \
	  sq.po \
	  sr@latin.po \
	  sr.po \
	  ta.po \
	  tr.po \
	  uk.po \
	  vi.po \
	  zh_CN.po \
	  zh_TW.po

include ../extra.mk
include ../buildsys.mk

POTTEMPLATE=$(PACKAGE).pot

update-pot:
	@echo Updating $(POTTEMPLATE) ...
	xgettext --default-domain=$(PACKAGE) --language=C \
	--keyword=_ --keyword=N_ --from-code="utf-8" \
	--msgid-bugs-address="http://redmine.audacious-media-player.org/" \
	--directory=.. --files-from=POTFILES.in -o $(POTTEMPLATE)

update-po: update-pot
	@echo Updating .po -files ...
	@for lang in $(LOCALES); do echo -n "$$lang : "; msgmerge --update "$$lang" $(POTTEMPLATE); done

=== debian/changelog ===
audacious (3.4-1) unstable; urgency=low

  * New upstream release:
    - Fix regression on reading m3u files containing empty
      lines. (Closes: #705899)
  * Tighten runtime dependency on audacious-plugins. (Closes: #708693)
  * Update debian/copyright.
  * Remove libmcs-dev from audacious-dev's Dependency field.

 -- Alessio Treglia <alessio@debian.org>  Sun, 07 Jul 2013 16:46:38 +0100

audacious (3.3.4-2) unstable; urgency=low

  * Upload to unstable.
  * Correct capitalization of such words as Winamp and
    D-Bus. (Closes: #620862)
  * Remove build-dependency on libmcs-dev. (Closes: #705098)

 -- Alessio Treglia <alessio@debian.org>  Tue, 07 May 2013 09:32:25 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  libdbus-glib-1-dev (>= 0.60),
  libgtk-3-dev,
  libguess-dev,
- libmcs-dev (>= 0.7),
  librsvg2-bin,
  libuchardet-dev
 Standards-Version: 3.9.4
@@ -26,7 +25,7 @@
 Package: audacious
 Architecture: any
 Depends:
- audacious-plugins (>= 3.2),
+ audacious-plugins (>= ${source:Upstream-Version}),
  dbus,
  dbus-x11,
  gtk2-engines-pixbuf,
@@ -40,7 +39,7 @@
 Recommends:
  unzip
 Description: small and fast audio player which supports lots of formats
- Audacious is a fork of beep-media-player which supports winamp skins
+ Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
  .
  In the default install, the following codecs are supported:
@@ -73,7 +72,7 @@
  audacious-plugins-dbg
 Priority: extra
 Description: audacious media player (debugging symbols)
- Audacious is a fork of beep-media-player which supports winamp skins
+ Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
  .
  In the default install, the following codecs are supported:
@@ -103,14 +102,13 @@
  libdbus-1-dev (>= 0.60),
  libdbus-glib-1-dev (>= 0.60),
  libgtk-3-dev,
- libmcs-dev (>= 0.7),
  ${misc:Depends}
 Provides:
  libaudclient-dev,
  libaudcore-dev,
  libaudid3tag-dev
 Description: audacious development files
- Audacious is a fork of beep-media-player which supports winamp skins
+ Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
  .
  In the default install, the following codecs are supported:
@@ -142,8 +140,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Description: audacious dbus remote control library
- Audacious is a fork of beep-media-player which supports winamp skins
+Description: audacious D-Bus remote control library
+ Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
  .
  In the default install, the following codecs are supported:
@@ -171,7 +169,7 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Description: audacious core engine library
- Audacious is a fork of beep-media-player which supports winamp skins
+ Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
  .
  In the default install, the following codecs are supported:

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq ($(DEB_BUILD_ARCH),i386)
additional_confflags := --disable-sse2
endif

# Do not link against unused libraries (make dpkg-shlibdeps happy).
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath --enable-chardet $(additional_confflags) \
		--with-buildstamp="$(shell dpkg-vendor --query vendor) package"

override_dh_auto_install:
	dh_auto_install
	# Move the arch-specific headers into the multiarch domain
	cd debian/tmp/usr/include && \
	mkdir -p $(DEB_HOST_MULTIARCH)/libaudcore && \
	mv libaudcore/audio.h $(DEB_HOST_MULTIARCH)/libaudcore/

override_dh_strip:
	dh_strip --dbg-package=audacious-dbg

override_dh_installdirs:
	dh_installdirs
	mkdir -p debian/tmp/usr/share/pixmaps
	convert pixmaps/audacious.png -resize 16x16 debian/tmp/usr/share/pixmaps/audacious-16.xpm
	convert pixmaps/audacious.png -resize 32x32 debian/tmp/usr/share/pixmaps/audacious-32.xpm

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/libaudcore/audio.h

## audacious 3.4.1

=== po/Makefile ===
--- 
+++ 
@@ -12,8 +12,10 @@
 	  bg.po \
 	  ca.po \
 	  cs.po \
+	  da.po \
 	  de.po \
 	  el.po \
+	  en_GB.po \
 	  eo.po \
 	  es_AR.po \
 	  es_MX.po \

=== debian/changelog ===
audacious (3.4.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Avoid FTBFS on distclean failure.
  * Refresh symbols.
  * Remove myself from uploaders.

 -- Alessio Treglia <alessio@debian.org>  Tue, 03 Sep 2013 09:40:44 +0100

=== debian/rules ===
--- 
+++ 
@@ -34,5 +34,5 @@
 	convert pixmaps/audacious.png -resize 32x32 debian/tmp/usr/share/pixmaps/audacious-32.xpm
 
 override_dh_auto_clean:
-	dh_auto_clean
+	dh_auto_clean || true
 	rm -f src/libaudcore/audio.h

## audacious 3.4.3

=== Makefile ===
SUBDIRS = src man pixmaps po contrib

DISTCLEAN = audacious.pc audclient.pc buildsys.mk config.h config.log config.status extra.mk

DATA = AUTHORS COPYING

include buildsys.mk

install-extra:
	for i in audacious.pc audclient.pc; do \
	        ${INSTALL_STATUS}; \
		if ${MKDIR_P} ${DESTDIR}${pkgconfigdir} && ${INSTALL} -m 644 $$i ${DESTDIR}${pkgconfigdir}/$$i; then \
			${INSTALL_OK}; \
		else \
			${INSTALL_FAILED}; \
		fi; \
	done
	for i in audacious.desktop; do \
		${INSTALL_STATUS}; \
		if ${MKDIR_P} ${DESTDIR}${datarootdir}/applications && ${INSTALL} -m 644 $$i ${DESTDIR}${datarootdir}/applications/$$i; then \
			${INSTALL_OK}; \
		else \
			${INSTALL_FAILED}; \
		fi \
	done
	if [ -f ${DESTDIR}${datadir}/audacious/Skins/Default/balance.png ]; then \
		rm -f ${DESTDIR}${datadir}/audacious/Skins/Default/balance.png; \
	fi

uninstall-extra:
	for i in audacious.pc audclient.pc; do \
		if [ -f ${DESTDIR}${pkgconfigdir}/$$i ]; then \
			if rm -f ${DESTDIR}${pkgconfigdir}/$$i; then \
				${DELETE_OK}; \
			else \
				${DELETE_FAILED}; \
			fi \
		fi; \
	done
	for i in audacious.desktop; do \
		if test -f ${DESTDIR}${datarootdir}/applications/$$i; then \
			if rm -f ${DESTDIR}${datarootdir}/applications/$$i; then \
				${DELETE_OK}; \
			else \
				${DELETE_FAILED}; \
			fi \
		fi \
	done

=== contrib/Makefile ===
include ../buildsys.mk
include ../extra.mk

ifeq ($(USE_THUNAR),yes)

install-extra:
	${MKDIR_P} ${DESTDIR}${datarootdir}/Thunar/sendto
	${INSTALL} -m 644 thunar-sendto-audacious-playlist.desktop "${DESTDIR}${datarootdir}/Thunar/sendto"

uninstall-extra:
	if test -f "${DESTDIR}${datarootdir}/Thunar/sendto/thunar-sendto-audacious-playlist.desktop" ; then ${RM} "${DESTDIR}${datarootdir}/Thunar/sendto/thunar-sendto-audacious-playlist.desktop" ; fi

endif

=== po/Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	  be.po \
 	  bg.po \
 	  ca.po \
+	  cmn.po \
 	  cs.po \
 	  da.po \
 	  de.po \
@@ -34,6 +35,7 @@
 	  ky.po \
 	  lt.po \
 	  lv.po \
+	  ml_IN.po \
 	  ms.po \
 	  nl.po \
 	  pl.po \

=== src/Makefile ===
SUBDIRS = libaudcore libaudgui libaudtag audacious

include ../extra.mk

ifeq ($(USE_DBUS),yes)
SUBDIRS := libaudclient audtool ${SUBDIRS}
endif

include ../buildsys.mk

=== src/audacious/Makefile ===
include ../../extra.mk

PROG = audacious${PROG_SUFFIX}
SRCS = adder.c \
       art.c \
       chardet.c								\
       config.c \
       drct.c \
       effect.c									\
       equalizer.c								\
       equalizer_preset.c						\
       fft.c									\
       general.c \
       history.c \
       interface.c								\
       main.c									\
       mpris-signals.c \
       output.c									\
       playback.c								\
       playlist-files.c \
       playlist-new.c \
       playlist-utils.c \
       pluginenum.c								\
       plugin-preferences.c \
       plugin-registry.c \
       plugin-init.c \
       plugin-view.c \
       probe.c \
       probe-buffer.c \
       scanner.c \
       signals.c								\
       ui_plugin_menu.c \
       ui_preferences.c							\
       util.c									\
       vis_runner.c \
       visualization.c							\
       ui_albumart.c

ifeq ($(USE_DBUS),yes)
SRCS += dbus.c
endif

ifeq ($(HAVE_MSWINDOWS),yes)
SRCS += audacious.rc
endif

INCLUDES = api.h \
           api-alias-begin.h \
           api-alias-end.h \
           api-define-begin.h \
           api-define-end.h \
           dbus.h				\
           dbus-service.h		\
           debug.h \
           drct.h \
           drct-api.h \
           i18n.h				\
           misc.h \
           misc-api.h \
           playlist.h \
           playlist-api.h \
           plugin.h				\
           plugins.h \
           plugins-api.h \
           preferences.h		\
           types.h

DATA = images/about-logo.png				\
       images/album.png \
       images/audacious.png \
       images/audio.png						\
       images/connectivity.png				\
       images/info.png \
       images/menu_playlist.png				\
       images/menu_plugin.png				\
       images/menu_queue_toggle.png			\
       images/playlist.png					\
       images/plugins.png

CLEAN = build_stamp.c dbus-client-bindings.h dbus-server-bindings.h

include ../../buildsys.mk

ifeq ($(USE_DBUS),yes)
DBUS_BINDINGS = dbus-server-bindings.h dbus-client-bindings.h
LIBS := -L../libaudclient -laudclient ${LIBS}
endif

pre-depend: ${DBUS_BINDINGS}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
		${GLIB_CFLAGS}			\
		${GMODULE_CFLAGS} \
		${GTHREAD_CFLAGS} \
		${GTK_CFLAGS}			\
		${AUDACIOUS_DEFINES}	\
		${DBUS_CFLAGS}			\
		${REGEX_CFLAGS}			\
		-D_AUDACIOUS_CORE		\
		${LIBGUESS_CFLAGS}

LIBS := -L../libaudcore -laudcore \
        -L../libaudgui -laudgui \
        -L../libaudtag -laudtag \
        ${LIBS} -lm \
		${LIBINTL}						\
		${GLIB_LIBS}					\
		${GMODULE_LIBS} \
		${GTHREAD_LIBS} \
		${GTK_LIBS}						\
		${DBUS_LIBS}					\
		${REGEX_LIBS}					\
		${LIBGUESS_LIBS}

DBUS_BINDINGS_SOURCES = objects.xml			\
			mpris_root.xml			\
			mpris_tracklist.xml		\
			mpris_player.xml

desktop_DATA = audacious.desktop
desktopdir = ${datarootdir}/applications

dbus-server-bindings.h: ${DBUS_BINDINGS_SOURCES}
	${DBUS_BINDING_TOOL} --mode=glib-server --prefix=audacious_rc objects.xml > $@
	${DBUS_BINDING_TOOL} --mode=glib-server --prefix=mpris_root mpris_root.xml >> $@
	${DBUS_BINDING_TOOL} --mode=glib-server --prefix=mpris_tracklist mpris_tracklist.xml >> $@
	${DBUS_BINDING_TOOL} --mode=glib-server --prefix=mpris_player mpris_player.xml >> $@

dbus-client-bindings.h: ${DBUS_BINDINGS_SOURCES}
	${DBUS_BINDING_TOOL} --mode=glib-client --prefix=audacious_rc objects.xml > $@

=== src/libaudclient/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audclient${LIB_SUFFIX}
LIB_MAJOR = 2
LIB_MINOR = 0

SRCS = audctrl.c

INCLUDES = audctrl.h

include ../../buildsys.mk
include ../../extra.mk

pre-depend:
	cd ../audacious; ${MAKE} ${MFLAGS} dbus-client-bindings.h

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${DBUS_CFLAGS} \
            ${GLIB_CFLAGS}

CFLAGS += ${LIB_CFLAGS}

LIBS += ${GLIB_LIBS}	\
	${DBUS_LIBS}

=== src/libaudcore/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audcore${LIB_SUFFIX}
LIB_MAJOR = 1
LIB_MINOR = 0

SRCS = audio.c \
       audstrings.c \
       eventqueue.c \
       hook.c \
       index.c \
       strpool.c \
       tuple.c \
       tuple_compiler.c \
       tuple_formatter.c \
       vfs.c \
       vfs_async.c \
       vfs_common.c

INCLUDES = audio.h \
           audstrings.h \
           core.h \
           hook.h \
           index.h \
           tuple.h \
           vfs.h \
           vfs_async.h

include ../../buildsys.mk
include ../../extra.mk

includesubdir = libaudcore

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLAGS} \

CFLAGS += ${LIB_CFLAGS}

LIBS += ${GLIB_LIBS} -lm

=== src/libaudtag/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audtag${LIB_SUFFIX}
LIB_MAJOR = 1
LIB_MINOR = 0

SRCS = audtag.c		\
       util.c		\
       tag_module.c	\
       id3/id3-common.c \
       id3/id3v1.c	\
       id3/id3v22.c	\
       id3/id3v24.c	\
       ape/ape.c

INCLUDES = audtag.h

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLAGS}

CFLAGS += ${LIB_CFLAGS}

LIBS := -L../libaudcore -laudcore \
        ${LIBS} \
        ${GLIB_LIBS}

=== debian/changelog ===
audacious (3.4.3-1) unstable; urgency=low

  * New upstream release. Closes: #728502
  * Update symbols

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 30 Nov 2013 08:12:12 +1100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
  Chris Taylor <ctaylor@debian.org>,
  Bilal Akhtar <bilalakhtar@ubuntu.com>,
  Cyril Lavier <cyril.lavier@davromaniak.eu>

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-rpath --enable-chardet $(additional_confflags) \
-		--with-buildstamp="$(shell dpkg-vendor --query vendor) package"
+		--with-buildstamp="$(shell dpkg-vendor --query vendor) package" 
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
http://distfiles.audacious-media-player.org/audacious-([^-]*)\.tar\.bz2

## audacious 3.5

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
-SUBDIRS = src man pixmaps po contrib
+SUBDIRS = src man pixmaps po
 
-DISTCLEAN = audacious.pc audclient.pc buildsys.mk config.h config.log config.status extra.mk
+DISTCLEAN = audacious.pc buildsys.mk config.h config.log config.status extra.mk
 
 DATA = AUTHORS COPYING
 
 include buildsys.mk
 
 install-extra:
-	for i in audacious.pc audclient.pc; do \
+	for i in audacious.pc; do \
 	        ${INSTALL_STATUS}; \
 		if ${MKDIR_P} ${DESTDIR}${pkgconfigdir} && ${INSTALL} -m 644 $$i ${DESTDIR}${pkgconfigdir}/$$i; then \
 			${INSTALL_OK}; \
@@ -28,7 +28,7 @@
 	fi
 
 uninstall-extra:
-	for i in audacious.pc audclient.pc; do \
+	for i in audacious.pc; do \
 		if [ -f ${DESTDIR}${pkgconfigdir}/$$i ]; then \
 			if rm -f ${DESTDIR}${pkgconfigdir}/$$i; then \
 				${DELETE_OK}; \

=== src/Makefile ===
include ../extra.mk

SUBDIRS := audacious libaudcore libaudgui libaudtag

ifeq ($(USE_DBUS),yes)
SUBDIRS := dbus audtool ${SUBDIRS}
endif

include ../buildsys.mk

audacious libaudgui libaudtag: libaudcore
audacious: libaudgui libaudtag

ifeq ($(USE_DBUS),yes)
audacious audtool: dbus
endif

=== src/audacious/Makefile ===
include ../../extra.mk

PROG = audacious${PROG_SUFFIX}
SRCS = adder.c \
       art.c \
       chardet.c								\
       config.c \
       drct.c \
       effect.c									\
       equalizer.c								\
       equalizer_preset.c						\
       fft.c									\
       general.c \
       history.c \
       interface.c								\
       main.c									\
       output.c									\
       playback.c								\
       playlist-files.c \
       playlist-new.c \
       playlist-utils.c \
       pluginenum.c								\
       plugin-preferences.c \
       plugin-registry.c \
       plugin-init.c \
       plugin-view.c \
       preferences.c \
       probe.c \
       probe-buffer.c \
       scanner.c \
       signals.c								\
       ui_plugin_menu.c \
       ui_preferences.c							\
       util.c									\
       vis_runner.c \
       visualization.c							\
       ui_albumart.c

ifeq ($(HAVE_MSWINDOWS),yes)
SRCS += audacious.rc
endif

INCLUDES = api.h \
           api-alias-begin.h \
           api-alias-end.h \
           api-define-begin.h \
           api-define-end.h \
           debug.h \
           drct.h \
           drct-api.h \
           i18n.h				\
           input.h \
           input-api.h \
           misc.h \
           misc-api.h \
           playlist.h \
           playlist-api.h \
           plugin.h				\
           plugins.h \
           plugins-api.h \
           preferences.h		\
           types.h

DATA = images/about-logo.png				\
       images/album.png \
       images/appearance.png \
       images/audio.png						\
       images/connectivity.png				\
       images/info.png \
       images/playlist.png					\
       images/plugins.png

CLEAN = build_stamp.c

ifeq ($(USE_DBUS),yes)
SRCS += dbus-server.c
EXT_DEPS += ../dbus/aud-dbus.a
endif

include ../../buildsys.mk

ifeq ($(USE_DBUS),yes)
CPPFLAGS := -I../dbus ${CPPFLAGS} ${GIO_CFLAGS}
LIBS := ../dbus/aud-dbus.a ${LIBS} ${GIO_LIBS}
endif

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
		${GLIB_CFLAGS}			\
		${GMODULE_CFLAGS} \
		${GTK_CFLAGS}			\
		${LIBGUESS_CFLAGS}

CPPFLAGS := ${CPPFLAGS} \
            -D_AUDACIOUS_CORE \
            -DHARDCODE_BINDIR=\"${bindir}\" \
            -DHARDCODE_DATADIR=\"${datadir}/audacious\" \
            -DHARDCODE_PLUGINDIR=\"${plugindir}\" \
            -DHARDCODE_LOCALEDIR=\"${localedir}\" \
            -DHARDCODE_DESKTOPFILE=\"${datarootdir}/applications/audacious.desktop\" \
            -DHARDCODE_ICONFILE=\"${datarootdir}/pixmaps/audacious.png\"

LIBS := -L../libaudcore -laudcore \
        -L../libaudgui -laudgui \
        -L../libaudtag -laudtag \
        ${LIBS} -lm \
		${LIBINTL}						\
		${GLIB_LIBS}					\
		${GMODULE_LIBS} \
		${GTK_LIBS}

desktop_DATA = audacious.desktop
desktopdir = ${datarootdir}/applications

=== src/libaudcore/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audcore${LIB_SUFFIX}
LIB_MAJOR = 2
LIB_MINOR = 0

SRCS = audio.c \
       audstrings.c \
       charset.c \
       eventqueue.c \
       hook.c \
       index.c \
       inifile.c \
       multihash.c \
       strpool.c \
       tinylock.c \
       tuple.c \
       tuple_compiler.c \
       tuple_formatter.c \
       vfs.c \
       vfs_async.c \
       vfs_common.c \
       vfs_local.c

INCLUDES = audio.h \
           audstrings.h \
           core.h \
           hook.h \
           index.h \
           inifile.h \
           multihash.h \
           tinylock.h \
           tuple.h \
           vfs.h \
           vfs_async.h

include ../../buildsys.mk
include ../../extra.mk

includesubdir = libaudcore

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLAGS} \
            ${LIBGUESS_CFLAGS}

CFLAGS += ${LIB_CFLAGS}

LIBS += -lm \
        ${GLIB_LIBS} \
        ${LIBGUESS_LIBS}

=== src/libaudgui/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audgui${LIB_SUFFIX}
LIB_MAJOR = 2
LIB_MINOR = 0

SRCS = about.c \
       confirm.c \
       equalizer.c \
       infopopup.c \
       infowin.c \
       init.c \
       jump-to-time.c \
       list.c \
       menu.c \
       pixbufs.c \
       playlists.c \
       queue-manager.c \
       scaled-image.c \
       ui_fileopener.c \
       ui_jumptotrack.c \
       ui_jumptotrack_cache.c \
       ui_playlist_manager.c \
       urilist.c \
       url-opener.c \
       util.c

INCLUDES = libaudgui.h \
           libaudgui-gtk.h \
           list.h \
           menu.h

include ../../buildsys.mk
include ../../extra.mk

includesubdir = libaudgui

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLASG} \
            ${GTK_CFLAGS}

CFLAGS += ${LIB_CFLAGS}

LIBS := -L../libaudcore -laudcore \
        ${LIBS} -lm \
        ${GLIB_LIBS} \
        ${GTK_LIBS}

=== debian/changelog ===
audacious (3.5-2) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * debian/control: Bump libguess-dev to >= 1.2~ in Build-Depends. Starting
    with 3.5 audacious requires libguess 1.2.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 22 Jul 2014 14:47:29 +0200

audacious (3.5-1) unstable; urgency=medium

  [ Alessio Treglia ]
  * Bump Standards-Version.

  [ Alin Andrei ]
  * New upstream release
  * Removed libaudclient from control / install and libaudclient2.symbols
    since libaudclient was dropped in Audacious 3.5
  * Updated symbols
  * Rename binary package libaudcore1 to libaudcore2 because
    of bumped major version

  [ Andrew Shadura ]
  * Clean up the build in debian/clean.

 -- Alin Andrei <webupd8@gmail.com>  Tue, 01 Jul 2014 08:27:36 +0200

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
  libdbus-1-dev (>= 0.60),
  libdbus-glib-1-dev (>= 0.60),
  libgtk-3-dev,
- libguess-dev,
+ libguess-dev (>= 1.2~),
  librsvg2-bin,
  libuchardet-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/audacious.git
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/audacious.git
 
@@ -28,8 +28,7 @@
  dbus,
  dbus-x11,
  gtk2-engines-pixbuf,
- libaudclient2 (= ${binary:Version}),
- libaudcore1 (= ${binary:Version}),
+ libaudcore2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Replaces:
@@ -65,8 +64,7 @@
  audacious (= ${binary:Version}),
  ${misc:Depends}
 Provides:
- libaudclient2-dbg,
- libaudcore1-dbg
+ libaudcore2-dbg
 Recommends:
  audacious-plugins-dbg
 Priority: extra
@@ -96,14 +94,12 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libaudclient2 (= ${binary:Version}),
- libaudcore1 (= ${binary:Version}),
+ libaudcore2 (= ${binary:Version}),
  libdbus-1-dev (>= 0.60),
  libdbus-glib-1-dev (>= 0.60),
  libgtk-3-dev,
  ${misc:Depends}
 Provides:
- libaudclient-dev,
  libaudcore-dev,
  libaudid3tag-dev
 Description: audacious development files
@@ -128,10 +124,9 @@
  required for developing components for audacious.
  .
  Please note that this package no longer contains libaudacious, as
- libaudacious was dropped in Audacious 1.4. You should use libaudclient
- instead.
+ libaudacious was dropped in Audacious 1.4.
 
-Package: libaudclient2
+Package: libaudcore2
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
@@ -139,34 +134,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Description: audacious D-Bus remote control library
- Audacious is a fork of beep-media-player which supports Winamp skins
- and many codecs.
- .
- In the default install, the following codecs are supported:
- .
-  * MP3
-  * Ogg Vorbis / Theora
-  * AAC and AAC+
-  * FLAC
-  * ALAC
-  * Windows Media (WMA)
-  * WAVE
- .
- Additionally, Audacious is extendable through plugins, and contains
- other useful features like LIRC support. Support for many more codecs
- can also be added through plugins.
- .
- This package contains a library used to remote control audacious.
-
-Package: libaudcore1
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Replaces: libaudcore1
 Description: audacious core engine library
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.

## audacious 3.6.2

=== src/Makefile ===
include ../extra.mk

SUBDIRS := audacious libaudcore libaudtag

ifeq ($(USE_GTK),yes)
SUBDIRS += libaudgui
endif

ifeq ($(USE_QT),yes)
SUBDIRS += libaudqt
endif

ifeq ($(USE_DBUS),yes)
SUBDIRS := dbus audtool ${SUBDIRS}
endif

include ../buildsys.mk

audacious: libaudcore
libaudtag: libaudcore

ifeq ($(USE_GTK),yes)
libaudgui: libaudcore
endif

ifeq ($(USE_QT),yes)
libaudqt: libaudcore
endif

ifeq ($(USE_DBUS),yes)
audacious audtool: dbus
endif

=== src/audacious/Makefile ===
include ../../extra.mk

PROG = audacious${PROG_SUFFIX}

SRCS = main.cc \
       signals.cc \
       util.cc

ifeq ($(HAVE_MSWINDOWS),yes)
SRCS += audacious.rc
endif

ifeq ($(USE_DBUS),yes)
SRCS += dbus-server.cc
EXT_DEPS += ../dbus/aud-dbus.a
endif

include ../../buildsys.mk

ifeq ($(USE_DBUS),yes)
CPPFLAGS := -I../dbus ${CPPFLAGS} ${GIO_CFLAGS}
LIBS := ../dbus/aud-dbus.a ${LIBS} ${GIO_LIBS}
endif

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLAGS}

CPPFLAGS += -D_AUDACIOUS_CORE

LIBS := -L../libaudcore -laudcore \
        ${LIBS} -lm \
        ${LIBINTL} \
        ${GLIB_LIBS}

=== src/libaudcore/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audcore${LIB_SUFFIX}
LIB_MAJOR = 3
LIB_MINOR = 0

SRCS = adder.cc \
       art.cc \
       art-search.cc \
       audio.cc \
       audstrings.cc \
       charset.cc \
       config.cc \
       drct.cc \
       effect.cc \
       equalizer.cc \
       equalizer-preset.cc \
       eventqueue.cc \
       fft.cc \
       history.cc \
       hook.cc \
       index.cc \
       inifile.cc \
       interface.cc \
       list.cc \
       logger.cc \
       mainloop.cc \
       multihash.cc \
       output.cc \
       playback.cc \
       playlist.cc \
       playlist-files.cc \
       playlist-utils.cc \
       plugin-init.cc \
       plugin-load.cc \
       plugin-registry.cc \
       preferences.cc \
       probe.cc \
       probe-buffer.cc \
       ringbuf.cc \
       runtime.cc \
       scanner.cc \
       stringbuf.cc \
       strpool.cc \
       tinylock.cc \
       tuple.cc \
       tuple-compiler.cc \
       util.cc \
       vfs.cc \
       vfs_async.cc \
       vfs_local.cc \
       vis-runner.cc \
       visualization.cc

INCLUDES = audio.h \
           audstrings.h \
           drct.h \
           equalizer.h \
           hook.h \
           i18n.h \
           index.h \
           inifile.h \
           interface.h \
           list.h \
           mainloop.h \
           multihash.h \
           objects.h \
           playlist.h \
           plugin.h \
           plugins.h \
           preferences.h \
           probe.h \
           ringbuf.h \
           runtime.h \
           templates.h \
           tinylock.h \
           tuple.h \
           visualizer.h \
           vfs.h \
           vfs_async.h

include ../../buildsys.mk
include ../../extra.mk

includesubdir = libaudcore

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLAGS} \
            ${GMODULE_CFLAGS} \
            ${LIBGUESS_CFLAGS} \
            ${QT_CFLAGS} \
            -DHARDCODE_BINDIR=\"${bindir}\" \
            -DHARDCODE_DATADIR=\"${datadir}/audacious\" \
            -DHARDCODE_PLUGINDIR=\"${plugindir}\" \
            -DHARDCODE_LOCALEDIR=\"${localedir}\" \
            -DHARDCODE_DESKTOPFILE=\"${datarootdir}/applications/audacious.desktop\" \
            -DHARDCODE_ICONFILE=\"${datarootdir}/icons/hicolor/48x48/apps/audacious.png\"

CFLAGS += ${LIB_CFLAGS}

LIBS += -lm \
        ${GLIB_LIBS} \
        ${GMODULE_LIBS} \
        ${LIBGUESS_LIBS} \
        ${QT_LIBS}

=== src/libaudgui/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audgui${LIB_SUFFIX}
LIB_MAJOR = 3
LIB_MINOR = 0

SRCS = about.cc \
       confirm.cc \
       equalizer.cc \
       file-opener.cc \
       infopopup.cc \
       infowin.cc \
       init.cc \
       jump-to-time.cc \
       jump-to-track.cc \
       jump-to-track-cache.cc \
       list.cc \
       menu.cc \
       pixbufs.cc \
       playlists.cc \
       plugin-menu.cc \
       plugin-prefs.cc \
       plugin-view.cc \
       prefs-widget.cc \
       prefs-window.cc \
       queue-manager.cc \
       scaled-image.cc \
       status.cc \
       urilist.cc \
       url-opener.cc \
       util.cc

INCLUDES = libaudgui.h \
           libaudgui-gtk.h \
           list.h \
           menu.h

include ../../buildsys.mk
include ../../extra.mk

includesubdir = libaudgui

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLAGS} \
            ${GTK_CFLAGS} \
            ${LIBGUESS_CFLAGS}

CFLAGS += ${LIB_CFLAGS}

LIBS := -L../libaudcore -laudcore \
        ${LIBS} -lm \
        ${GLIB_LIBS} \
        ${GTK_LIBS}

=== src/libaudqt/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audqt${LIB_SUFFIX}
LIB_MAJOR = 0
LIB_MINOR = 0

SRCS = about.cc			\
       art.cc                   \
       equalizer.cc		\
       fileopener.cc		\
       infowin.cc		\
       info-widget.cc		\
       log-inspector.cc         \
       menu.cc			\
       playlist-management.cc	\
       plugin-menu.cc		\
       prefs-builder.cc		\
       prefs-plugin.cc          \
       prefs-widget.cc		\
       prefs-window.cc		\
       prefs-pluginlist-model.cc  \
       queue-manager.cc		\
       util.cc                  \
       volumebutton.cc

INCLUDES = libaudqt.h iface.h volumebutton.h info-widget.h menu.h

include ../../buildsys.mk
include ../../extra.mk

includesubdir = libaudqt

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${QT_CFLAGS} \
            ${LIBGUESS_CFLAGS}

CFLAGS += ${LIB_CFLAGS}

LIBS := -L../libaudcore -laudcore \
        ${LIBS} -lm \
        ${QT_LIBS}

%.moc: %.h
	moc $< -o $@

=== src/libaudtag/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audtag${LIB_SUFFIX}
LIB_MAJOR = 2
LIB_MINOR = 0

SRCS = audtag.cc		\
       util.cc		\
       tag_module.cc	\
       id3/id3-common.cc \
       id3/id3v1.cc	\
       id3/id3v22.cc	\
       id3/id3v24.cc	\
       ape/ape.cc

INCLUDES = audtag.h

include ../../buildsys.mk
include ../../extra.mk

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLAGS}

CFLAGS += ${LIB_CFLAGS}

LIBS := -L../libaudcore -laudcore \
        ${LIBS} \
        ${GLIB_LIBS}

=== src/libaudcore/tests/Makefile ===
all: test test-mainloop

SRCS = ../audstrings.cc \
       ../charset.cc \
       ../hook.cc \
       ../index.cc \
       ../logger.cc \
       ../multihash.cc \
       ../ringbuf.cc \
       ../stringbuf.cc \
       ../strpool.cc \
       ../tinylock.cc \
       ../tuple.cc \
       ../tuple-compiler.cc \
       test.cc

FLAGS = -I.. -I../.. -DEXPORT= -DPACKAGE=\"audacious\" -DICONV_CONST= \
        $(shell pkg-config --cflags --libs glib-2.0) \
        -std=c++11 -Wall -g -O0 -fno-elide-constructors \
        -fprofile-arcs -ftest-coverage -pthread

MAINLOOP_SRCS = ../mainloop.cc test-mainloop.cc

test: ${SRCS}
	g++ ${SRCS} ${FLAGS} -o test

test-mainloop: ${MAINLOOP_SRCS}
	g++ ${MAINLOOP_SRCS} ${FLAGS} -DUSE_QT -fPIC \
	$(shell pkg-config --cflags --libs Qt5Core) \
	-o test-mainloop

cov: all
	rm -f *.gcda
	./test
	./test-mainloop
	./test-mainloop --qt
	gcov --object-directory . ${SRCS} ${MAINLOOP_SRCS}

clean:
	rm -f test test-mainloop test-mainloop *.gcno *.gcda *.gcov

=== debian/changelog ===
audacious (3.6.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 19 Dec 2015 21:34:24 +0100

audacious (3.6.2-1) experimental; urgency=medium

  * Team upload.

  [ Mateusz Łukasik ]
  * New upstream release.
  * debian/control:
    - Update VCS-URL's.
    - Bump standards version to 3.9.6. (no changes needed)
    - Switch depends from from libgtk-3-dev to libgtk2.0-dev - new version
    drop GTK+3 interfaces.
  * debian/rules: audacious.png now resides in images.
  * Bump libaudcore version to 3 and update its symbols.

  [ Sebastian Ramacher ]
  * debian/{control,libaud*.install,libaud*.symbols}: Split libaud* packages
    into seperate binary packages.
  * debian/control:
    - Remove M-A: same from audacious-dbg. It depends on non M-A: same
      packages.
    - Remove obsolete Replaces and Provides.
    - Drop libuchardet-dev from B-D. It is no longer needed.
  * debian/menu: Removed (command-in-menu-file-and-desktop-file).
  * debian/copyright: Update copyright years

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Dec 2015 15:39:30 +0100

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,12 @@
  imagemagick,
  libdbus-1-dev (>= 0.60),
  libdbus-glib-1-dev (>= 0.60),
- libgtk-3-dev,
+ libgtk2.0-dev,
  libguess-dev (>= 1.2~),
- librsvg2-bin,
- libuchardet-dev
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/audacious.git
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/audacious.git
+ librsvg2-bin
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/audacious.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/audacious.git
 
 Package: audacious
 Architecture: any
@@ -28,12 +27,9 @@
  dbus,
  dbus-x11,
  gtk2-engines-pixbuf,
- libaudcore2 (= ${binary:Version}),
+ libaudcore3 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
-Replaces:
- libaudutil1,
- libsad2
 Recommends:
  unzip
 Description: small and fast audio player which supports lots of formats
@@ -59,12 +55,9 @@
 Package: audacious-dbg
 Section: debug
 Architecture: any
-Multi-Arch: same
 Depends:
  audacious (= ${binary:Version}),
  ${misc:Depends}
-Provides:
- libaudcore2-dbg
 Recommends:
  audacious-plugins-dbg
 Priority: extra
@@ -94,14 +87,13 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libaudcore2 (= ${binary:Version}),
+ libaudcore3 (= ${binary:Version}),
+ libaudgui3 (= ${binary:Version}),
+ libaudtag2 (= ${binary:Version}),
  libdbus-1-dev (>= 0.60),
  libdbus-glib-1-dev (>= 0.60),
- libgtk-3-dev,
+ libgtk2.0-dev,
  ${misc:Depends}
-Provides:
- libaudcore-dev,
- libaudid3tag-dev
 Description: audacious development files
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -126,15 +118,12 @@
  Please note that this package no longer contains libaudacious, as
  libaudacious was dropped in Audacious 1.4.
 
-Package: libaudcore2
+Package: libaudcore3
 Architecture: any
 Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Replaces: libaudcore1
 Description: audacious core engine library
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -155,3 +144,55 @@
  .
  This package contains a library which provides core functionality
  of Audacious.
+
+Package: libaudgui3
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: audacious media player (libaudgui shared library)
+ Audacious is a fork of beep-media-player which supports Winamp skins
+ and many codecs.
+ .
+ In the default install, the following codecs are supported:
+ .
+  * MP3
+  * Ogg Vorbis / Theora
+  * AAC and AAC+
+  * FLAC
+  * ALAC
+  * Windows Media (WMA)
+  * WAVE
+ .
+ Additionally, Audacious is extendable through plugins, and contains
+ other useful features like LIRC support. Support for many more codecs
+ can also be added through plugins.
+ .
+ This package provides the libaudgui shared library.
+
+Package: libaudtag2
+Architecture: any
+Multi-Arch: same
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: audacious media player (libaudtag shared library)
+ Audacious is a fork of beep-media-player which supports Winamp skins
+ and many codecs.
+ .
+ In the default install, the following codecs are supported:
+ .
+  * MP3
+  * Ogg Vorbis / Theora
+  * AAC and AAC+
+  * FLAC
+  * ALAC
+  * Windows Media (WMA)
+  * WAVE
+ .
+ Additionally, Audacious is extendable through plugins, and contains
+ other useful features like LIRC support. Support for many more codecs
+ can also be added through plugins.
+ .
+ This package provides the libaudtag shared library.

=== debian/rules ===
--- 
+++ 
@@ -30,8 +30,8 @@
 override_dh_installdirs:
 	dh_installdirs
 	mkdir -p debian/tmp/usr/share/pixmaps
-	convert pixmaps/audacious.png -resize 16x16 debian/tmp/usr/share/pixmaps/audacious-16.xpm
-	convert pixmaps/audacious.png -resize 32x32 debian/tmp/usr/share/pixmaps/audacious-32.xpm
+	convert images/audacious.png -resize 16x16 debian/tmp/usr/share/pixmaps/audacious-16.xpm
+	convert images/audacious.png -resize 32x32 debian/tmp/usr/share/pixmaps/audacious-32.xpm
 
 override_dh_auto_clean:
 	dh_auto_clean || true
